# png::detail::const_packed_pixel_proxy< pixel > Class Template Reference

`#include <pixel_buffer.hpp>`

Inheritance diagram for png::detail::const_packed_pixel_proxy< pixel >:

List of all members.

## Public Member Functions

| const_packed_pixel_proxy (byte const &ref, size_t index)

### template<class pixel>
class png::detail::const_packed_pixel_proxy< pixel >

## Constructor & Destructor Documentation

template<class pixel >

png::detail::const_packed_pixel_proxy< pixel >::const_packed_pixel_proxy | ( | byte const & | ref,
|  | size_t | index
| ) |  | `[inline]`

The documentation for this class was generated from the following file:

- pixel_buffer.hpp